gnutls_x509_crt_get_issuer(3)

NAME
gnutls_x509_crt_get_issuer - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_get_issuer(gnutls_x509_crt_t cert, gnutls_x509_dn_t * dn);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t structure

gnutls_x509_dn_t * dn
    output variable with pointer to uint8_t DN

DESCRIPTION
Return the Certificate's Issuer DN as a gnutls_x509_dn_t data type, that can be decoded using gnutls_x509_dn_get_rdn_ava(). Note that dn should be treated as constant. Because it points into the cert object, you should not use dn after cert is deallocated.

RETURNS
Returns 0 on success, or an error code.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/